#ifndef STDBOOL
  #include <stdbool.h>
  #define STDBOOL
#endif

enum uiButton{
  BUTTON1 = 1,
  BUTTON2 = 2,
  BUTTON3 = 3, 
  BUTTON4 = 4, 
  BUTTON5 = 5
};

typedef  enum uiLED{
  LED_FATERR = 1,
  LED_FATALERT = 2,
  LED_ERR = 3,
  LED_TEST = 4,
  LED_RACE = 5,
  LED_FUELON = 6,
  LED_THROTTON = 7
};

typedef enum uiLEDState{
  LED_DARK = 0,
  LED_SHINE = 1,
  LED_BLINK1x = 2,
  LED_BLINK2x = 3,
  LED_BLINK4x = 4
};

bool uiButtonWasTapped(enum uiButton b);
bool uiButtonIsHeld(enum uiButton b);

void uiSetLED(enum uiLED led, enum uiLEDState state);
enum uiLEDState uiGetLED(enum uiLED led);

void uiCheckAndRefresh(void);
void uiInit(void);